package SampleDatabase;

/* SampleDatabase/EmployeeAddressTable_Table.java
 *
 * Copyright (c) 1999 Chris Studholme <chris.studholme@utoronto.ca>
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See COPYING for more information.
 */

/**
 * <p>See TableTemplate for information about this class.
 *
 * @author chris.studholme@utoronto.ca
 */

class EmployeeAddressTable_Table extends TableTemplate {

    public EmployeeAddressTable_Table() {
	name="EmployeeAddressTable";
	rows = new EmployeeAddressTable_Row[4];
	rows[0] = new EmployeeAddressTable_Row("512687458","Joe","Smith","83 First Street","Howard","Ohio");
	rows[1] = new EmployeeAddressTable_Row("758420012","Mary","Scott","842 Vine Ave.","Losantiville","Ohio");
	rows[2] = new EmployeeAddressTable_Row("102254896","Sam","Jones","33 Elm St.","Paris","New York");
	rows[3] = new EmployeeAddressTable_Row("876512563","Sarah","Ackerman","440 U.S. 110","Upton","Michigan");
	fields = rows[0].getClass().getFields();
    }

};
